Opened 6 years ago

Closed 5 years ago

#6591 closed defect (fixed)

HOPKINS-PL: SFX missing/out of sync in bank heist cutscene

Reported by: SF/m3n747 Owned by: Strangerke
Priority: normal Component: Engine: Hopkins
Keywords: Cc:
Game: Hopkins FBI

Description

ScummVM: 1.7.0git6559-g16152cf (May 17 2014 22:36:50)
Game: Hopkins FBI, Version 4, Windows 95 Direct X (hopkins-win-pl)
Language: Polish
Repro: 10/10


The sound effects in the bank heist cutscene are either completely missing or out of sync, depending on whether the Gore Mode is enabled or disabled.


  1. Enable the Gore Mode (Edit Game -> Engine)
  2. Start a new game, leave the apartment
  3. Watch the cutscene - the sound effects are gone
  4. Quit the game
  5. Disable the Gore Mode
  6. Start a new game, leave the apartment
  7. Watch the cutscene - the sound effects are out of sync with the events

Attached files:
- 2 videos of the cutscene, with Gore Mode enabled and disabled

Ticket imported from: bugs/6591.

Attachments (2)

Gore OFF.mkv (442.5 KB ) - added by SF/m3n747 6 years ago.
Gore ON.mkv (447.9 KB ) - added by SF/m3n747 6 years ago.

Download all attachments as: .zip

Change History (13)

by SF/m3n747, 6 years ago

Attachment: Gore ON.mkv added

comment:1 by SF/m3n747, 6 years ago

The Polish release of the game was censored. Note that, counter-intuitively, the sounds are gone when the Gore Mode is set to ON and present but out of sync when the Gore Mode is OFF. This issue might also be present in other cutscenes farther into the game.

Compare with:
http://www.tubechop.com/watch/2869500 (English version - uncensored)
http://www.tubechop.com/watch/2869516 (Polish version - censored)

(Also, please excuse the sound quality in the two attached videos, I can only record audio by putting a microphone next to my headphones.)

comment:2 by Strangerke, 5 years ago

Owner: set to Strangerke

comment:3 by SF/m3n747, 5 years ago

It's the Win95 version, see the top of the bug report for details.

comment:4 by Strangerke, 5 years ago

Sorry again about the delay. I noticed it was written in your bug report after 2 hours looking at the BeOS Polish executable and removed my comment out of frustration, I shouldn't have.

I just fixed the way the Gore Mode is activated or not, so it should be already much more intuitive. For the sounds, I think it's embedded in the animation so there's not much I can do about that. Furthermore, the animation duration looks a bit wrong when the cut scene is censored, so I'm therefore keeping the bug opened until further investigations.

comment:5 by Strangerke, 5 years ago

I have hardcoded a workaround for this animation, so now it should be fine (and even than in the original, as it was broken at least according to what I saw in the executable).
I can't play the whole game in Polish as my Polish in somewhat poor, please don't hesitate to report other butchered animation.

comment:6 by Strangerke, 5 years ago

Resolution: fixed

comment:7 by SF/m3n747, 5 years ago

ScummVM 1.8.0git1408-g0c5fae8 (Oct 31 2014 09:42:45)

The Gore Mode activation works as it should now - there are gunshots when the option is checked and no gunshots when unchecked. As for the workaround, however, it's still not quite right. After the guard reaches for his gun the thug shoots his SMG 3 times, then there's a cut to the guy behind the desk approached by the guy with a shotgun - but you can still hear the shots fired by the first thug, which shouldn't be there. Compare the cutscene with the links in my first comment for specifics.

As for other cutscenes later in the game, I've completed it back in May and saw no other such discrepancies, apparently it's just this one.

comment:8 by Strangerke, 5 years ago

I compared to a French Linux version... you're right. Working on it.

comment:9 by Strangerke, 5 years ago

I removed the sound played when the guard is being shot (as it was removed in the Polish version). I put the last shotgun sound right after the screens go black, I think it's more appropriate than to remove it completely.

The Gore Mode isn't really different to the censored mode, btw. It's essentially this bank animation, the girl being slit throat in the next bank animation, and the nasty saw sound in the morgue.

comment:10 by SF/m3n747, 5 years ago

ScummVM 1.8.0git1416-g5aae18f (Nov 2 2014 23:16:37)

Everything seems to be in order now.

comment:11 by Strangerke, 5 years ago

Thanks for the confirmation! Closing it...

comment:12 by Strangerke, 5 years ago

Status: newclosed
Note: See TracTickets for help on using tickets.